Summary:	The procmail mail processing program.
Name:		procmail
Version:	3.22
Release:	1.3.0
License:	GPL or artistic
Group:		System Environment/Daemons
Source:		ftp://ftp.procmail.org/pub/procmail/procmail-%{version}.tar.gz
Source1:	procmailrc-gd.sa
Patch0:		procmail-3.22-config-gd-1.diff
Patch1:		procmail-3.15.1-man.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
The procmail program is used by Red Hat Linux for all local mail
delivery.  In addition to just delivering mail, procmail can be used
for automatic filtering, presorting and other mail handling jobs.
Procmail is also the basis for the SmartList mailing list processor.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

find . -type d -exec chmod 755 {} \;


%build
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"


%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
  mkdir -p ${RPM_BUILD_ROOT}/etc
  mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,5}

  make BASENAME=${RPM_BUILD_ROOT}%{_prefix} \
       MANDIR=${RPM_BUILD_ROOT}%{_mandir} install

  install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/procmailrc.sa

  strip ${RPM_BUILD_ROOT}%{_bindir}/* || :


%files
  %defattr(-,root,root)
  %doc Artistic COPYING FAQ FEATURES HISTORY README KNOWN_BUGS examples

  %attr(0444,root,root)	%{_mandir}/man?/*

  %attr(0755,root,root)	%{_bindir}/formail
  %attr(2755,root,mail)	%{_bindir}/lockfile
  %attr(0755,root,root)	%{_bindir}/mailstat
  %attr(6755,root,mail)	%{_bindir}/procmail

  %attr(0644,root,root) /etc/procmailrc.sa


%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Wed Jun 19 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.22, Release 1.2.3
  - "Catch overly long command line variable assignments" by upgrading.
  - Rediff config patch.

* Fri May 03 2002 Pete O'Hara <pete@guardiandigital.com>
- Release 1.2.2
  - changed perms on /etc/procmailrc.sa to 644 root.root

* Thu Apr 18 2002 Pete O'Hara <pete@guardiandigital.com>
- Release 1.2.1
  - added /etc/procmailrc.sa for SPAMASSASSIN

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Fri Aug 17 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.21, Release 1.1.1
  - Changed /usr/bin/procmail to 6755, as our mailer does not run as group
    mail (so these bits cannot be dropped).  Refer to Red Hat Bugzilla #43365
    for more information.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.21, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).
